If you accept cookies, we’ll use them to improve and customize your experience and enable our partners to show you personalized PayPal ads when you visit other sites. Manage cookies and learn more
paypal_wallet_experience_context
Customizes the payer experience during the approval process for payment with PayPal.
Note: Partners and Marketplaces might configure brand_name and shipping_preference during partner account setup, which overrides the request values.
brand_namestringOptional
The label that overrides the business name in the PayPal account on the PayPal site. The pattern is defined by an external party and supports Unicode.
The [language tag](https://tools.ietf.org/html/bcp47#section-2) for the language in which to localize the error-related strings, such as messages, issues, and suggested actions. The tag is made up of the [ISO 639-2 language code](https://www.loc.gov/standards/iso639-2/php/code_list.php), the optional [ISO-15924 script tag](https://www.unicode.org/iso15924/codelists.html), and the [ISO-3166 alpha-2 country code](/api/rest/reference/country-codes/) or [M49 region code](https://unstats.un.org/unsd/methodology/m49/).
The location from which the shipping address is derived.
Allowed values
"GET_FROM_FILE"Default
Get the customer-provided shipping address on the PayPal site.
"NO_SHIPPING"
Removes the shipping address information from the API response and the Paypal site. However, the shipping.phone_number and shipping.email_address fields will still be returned to allow for digital goods delivery.
"SET_PROVIDED_ADDRESS"
Get the merchant-provided address. The customer cannot change this address on the PayPal site. If merchant does not pass an address, customer can choose the address on PayPal pages.
contact_preferenceenumOptional
The preference to display the contact information (buyer’s shipping email & phone number) on PayPal's checkout for easy merchant-buyer communication.
Allowed values
"NO_CONTACT_INFO"Default
The merchant can opt out of showing buyer's contact information on PayPal checkout.
"UPDATE_CONTACT_INFO"
The merchant allows buyer to add or update shipping contact information on the PayPal checkout. Please ensure to use this updated information returned in shipping.email_address and shipping.phone_number to contact your buyers.
"RETAIN_CONTACT_INFO"
The buyer can only see but can not override merchant passed contact information (shipping.email_address and shipping.phone_number) on PayPal checkout. NOTE: If you don't pass the contact information, the behavior is the same as NO_CONTACT_INFO preference.
Buyer's mobile web browser context to app switch to the PayPal consumer app.
mobile_web_context properties
2 properties
return_flowenumOptional
Merchant preference on how the buyer can navigate back to merchant website post approving the transaction on the PayPal App.
Allowed values
"AUTO"Default
After payment approval in the PayPal App, buyer will automatically be redirected to the merchant website.
"MANUAL"
After payment approval in the PayPal App, buyer will be asked to manually navigate back to the merchant website where they started the transaction from. The buyer is shown a message like 'Return to Merchant' to return to the source where the transaction actually started.
buyer_user_agentstringOptional
User agent from the request originating from the buyer's device. This will be used to identify the buyer's operating system and browser versions. NOTE: Merchants must not alter or modify the buyer's device user agent.
Match^.*$Length1 <= length <= 512
landing_pageenumOptional
The type of landing page to show on the PayPal site for customer checkout.
Allowed values
"LOGIN"
When the customer clicks PayPal Checkout, the customer is redirected to a page to log in to PayPal and approve the payment.
"GUEST_CHECKOUT"
When the customer clicks PayPal Checkout, the customer is redirected to a page to enter credit or debit card and other relevant billing information required to complete the purchase. This option has previously been also called as 'BILLING'
"NO_PREFERENCE"Default
When the customer clicks PayPal Checkout, the customer is redirected to either a page to log in to PayPal and approve the payment or to a page to enter credit or debit card and other relevant billing information required to complete the purchase, depending on their previous interaction with PayPal.
"BILLING"
DEPRECATED - please use GUEST_CHECKOUT. All implementations of 'BILLING' will be routed to 'GUEST_CHECKOUT'. When the customer clicks PayPal Checkout, the customer is redirected to a page to enter credit or debit card and other relevant billing information required to complete the purchase.
user_actionenumOptional
Configures a Continue or Pay Now checkout flow.
Allowed values
"CONTINUE"Default
After you redirect the customer to the PayPal payment page, a Continue button appears. Use this option when the final amount is not known when the checkout flow is initiated and you want to redirect the customer to the merchant page without processing the payment.
"PAY_NOW"
After you redirect the customer to the PayPal payment page, a Pay Now button appears. Use this option when the final amount is known when the checkout is initiated and you want to process the payment immediately when the customer clicks Pay Now.
payment_method_preferenceenumOptional
The merchant-preferred payment methods.
Allowed values
"UNRESTRICTED"Default
Accepts any type of payment from the customer.
"IMMEDIATE_PAYMENT_REQUIRED"
Accepts only immediate payment from the customer. For example, credit card, PayPal balance, or instant ACH. Ensures that at the time of capture, the payment does not have the `pending` status.
CallBack Configuration that the merchant can provide to PayPal/Venmo.
callback_configuration properties
2 properties
callback_eventsarray<callback events>Required
An array of callback events merchant can subscribe to for the corresponding callback url.
Items1 <= length <= 5
callback_urlstringRequired
Merchant provided CallBack url.PayPal/Venmo will use this url to call the merchant back when the events occur .PayPal/Venmo expects a secured url usually in the https format.merchant can append the cart id or other params part of the url as query or path params.